Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.declaration
Interface ParameterDeclaration

All Superinterfaces:
  Declaration

    public interface ParameterDeclaration

extends Declaration

Represents a formal parameter of a method or constructor.

Since:
  1.5

Method Summary
`TypeMirror` | `getType()` Returns the type of this parameter.

Methods inherited from interface com.sun.mirror.declaration.Declaration
`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Method Detail

### getType

    TypeMirror getType()

  Returns the type of this parameter.

  Returns:
    the type of this parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.